Bug 1747353 (CVE-2019-15239) - CVE-2019-15239 kernel: local attacker can trigger multiple use-after-free conditions results in privilege escalation
Summary: CVE-2019-15239 kernel: local attacker can trigger multiple use-after-free con...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-15239
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1747354 1748357 1748358 1748359 1748360 1753272
Blocks: 1747356
TreeView+ depends on / blocked
 
Reported: 2019-08-30 07:59 UTC by Dhananjay Arunesh
Modified: 2020-03-24 13:21 UTC (History)
51 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way the Linux kernel's networking subsystem handled the write queue between TCP disconnection and re-connections. A local attacker could use this flaw to trigger multiple use-after-free conditions potentially escalating their privileges on the system.
Clone Of:
Environment:
Last Closed: 2019-11-26 19:04:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4029 None None None 2019-12-02 10:16:53 UTC
Red Hat Product Errata RHBA-2019:4033 None None None 2019-12-02 10:33:17 UTC
Red Hat Product Errata RHBA-2019:4038 None None None 2019-12-02 17:55:19 UTC
Red Hat Product Errata RHBA-2019:4060 None None None 2019-12-03 08:47:02 UTC
Red Hat Product Errata RHSA-2019:3978 None None None 2019-11-26 13:58:41 UTC
Red Hat Product Errata RHSA-2019:3979 None None None 2019-11-26 12:50:49 UTC
Red Hat Product Errata RHSA-2020:0027 None None None 2020-01-06 14:46:35 UTC

Description Dhananjay Arunesh 2019-08-30 07:59:19 UTC
A vulnerability was found in In the Linux kernel, a certain net/ipv4/tcp_output.c change, which was properly incorporated into 4.16.12, was incorrectly backported to the earlier longterm kernels, introducing a new vulnerability that was potentially more severe than the issue that was intended to be fixed by backporting. Specifically, by adding to a write queue between disconnection and re-connection, a local attacker can trigger multiple use-after-free conditions. This can result in a kernel crash, or potentially in privilege escalation.

Reference:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=7f582b248d0a86bae5788c548d7bb5bca6f7691a
https://lore.kernel.org/stable/41a61a2f87691d2bc839f26cdfe6f5ff2f51e472.camel@decadent.org.uk/

Comment 1 Dhananjay Arunesh 2019-08-30 07:59:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1747354]

Comment 2 Justin M. Forbes 2019-08-30 12:11:20 UTC
Fedora was not vulnerable to this as it never used the long term stable kernels and had the proper fix from 4.16.12

Comment 4 Petr Matousek 2019-09-03 12:43:26 UTC
Statement:

This issue affected Red Hat Enterprise Linux 7 starting with kernel version kernel-3.10.0-1053.el7. The first publicly available affected kernel version is kernel-3.10.0-1062.el7 released via https://access.redhat.com/errata/RHSA-2019:2029,  the Red Hat Enterprise Linux 7.7 GA kernel errata release.

Comment 9 errata-xmlrpc 2019-11-26 12:50:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3979 https://access.redhat.com/errata/RHSA-2019:3979

Comment 10 errata-xmlrpc 2019-11-26 13:58:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3978 https://access.redhat.com/errata/RHSA-2019:3978

Comment 11 Product Security DevOps Team 2019-11-26 19:04:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-15239

Comment 19 errata-xmlrpc 2020-01-06 14:46:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0027 https://access.redhat.com/errata/RHSA-2020:0027


Note You need to log in before you can comment on or make changes to this bug.